package main

import (
	"github.com/open-io/oio-exporter/common"
	"log"
	"net/http"
	"testing"
)

func TestOIOExporter(t *testing.T) {
	addr := "localhost:12345"
	exp := oioExporter{
		bind:      addr,
		inventory: "./tmp/inventory.yml",
		hcTargets: []string{"localhost:12345"},
		metrics:   common.MakeMetricData(),
	}

	go exp.run()

	for _, route := range []string{"/metrics", "/config", "/reload"} {
		_, err := http.Get("http://" + addr + route)
		if err != nil {
			log.Fatalln(err)
		}
	}
}
